XvPortNotify(3X) |  | XvPortNotify(3X)

# Name

XvPortNotify - event generated when port attributes change

# Syntax

#include <X11/extensions/Xvlib.h>

typedef union {
int type;
XvVideoNotifyEvent xvvideo;
XvPortNotifyEvent xvport;
long pad[24];
} XvEvent;

typedef struct {
int type;
unsigned long serial;
Bool send_event;
Display *display;
XvPortID port_id;
Time time;
Atom attribute;
long value;
} XvPortNotifyEvent;

type
  Specifies the type of event: XvPortNotify.

serial
  Number of the last request processed by the server.

send_event
  True if the event was generated by a SendEvent request.

display
  A pointer to the display the event was read from.

port_id
  The port whose attribute has changed.

attribute
  An atom specifying the attribute that changed.

value
  The new value of the attribute.

# Description

XvPortNotify events are generated when a port attribute is set using the XvSetPortAttribute(3X) function.

# See Also

XvSetPortAttribute(3X), XvGetPortAttribute(3X), XvSelectPortNotify(3X)

XFree86 | 4.5.0